# Generated by Django 2.1.7 on 2021-04-05 14:59

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion

from django.db.models import Q

def update_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")


    system_group, p = Group.objects.get_or_create(name="Agente Soporte")

    for permission in Permission.objects.filter(content_type__app_label='tech_support').filter(Q(content_type__model='ticketmodel')):
        system_group.permissions.add(permission)

def delete_groups(apps, scheme_editor):
    Group = apps.get_model('auth', 'Group')

    try:
        Group.objects.filter(name="Agente Soporte").delete()
    except:
        pass

class Migration(migrations.Migration):

    dependencies = [
        ('tech_support', '0012_auto_20210504_1437'),
    ]

    operations = [
        migrations.RunPython(update_groups, delete_groups)
    ]
